net.sf.cglib.transform

## Class MethodFilterTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.transform.AbstractClassTransformer
      - - net.sf.cglib.transform.MethodFilterTransformer

-     public class MethodFilterTransformer
      extends AbstractClassTransformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodFilterTransformer(MethodFilter filter, ClassTransformer pass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setTarget(ClassVisitor target)`
    `MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodFilterTransformer

          public MethodFilterTransformer(MethodFilter filter,
                                 ClassTransformer pass)

  - ### Method Detail

    - #### visitMethod

          public MethodVisitor visitMethod(int access,
                                  java.lang.String name,
                                  java.lang.String desc,
                                  java.lang.String signature,
                                  java.lang.String[] exceptions)

    - #### setTarget

          public void setTarget(ClassVisitor target)

      Overrides:
        `setTarget` in class `AbstractClassTransformer`

Copyright (c) 2001 - Apache Software Foundation